Subject: Re: Diffing submodule does not yield complete logs for merge commits

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 May 2015 14:03:31 -0700

Robert Dailey <[email-masked]> writes:

> For #1, do you recommend adding a 3rd setting for `diff.submodule`
> config? Something like "full-log" or something? Or an entirely new
> config? I noticed that in diff.h, the DIFF_OPT flags already consume
> 31 bits. If this is a 32-bit flag, there is only 1 bit left. If we go
> with a 3rd setting for `diff.submodule` I think this might consume the
> last bit.

Unless you are using opts->touched_flags infrastructure to do funky
defaulting dance, there is really nothing that forces you to use a
bit from the flag word for your new feature.  diff_options have many
standalone int fields that are used for either boolean or a small
enum (e.g. degraded_cc_to_c) and it is perfectly fine to use a new
such field.